---
- name: Get all hosts facts
  hosts: all
  become: true
  tasks: []

- import_playbook: aws-instance-metadata.yml

- hosts: all
  become: true
  vars_files:
    - ../vars/common.yml
    - ../vars/jitsi-common.yml
    - ../vars/jitsi-videobridge.yml
  vars:
  pre_tasks:
    - name: Read instance environment
      include_vars:
        file: /etc/aws-environment.yml

    - name: common ssm prefix
      debug:
        var: common_ssm_prefix

    - fail:
        msg: "common_ssm_prefix does not start with a / character"
      when: not common_ssm_prefix.startswith('/')

    - name: sanity check
      fail:
        msg: "{{ item.name }} is undefined or empty"
      when: item.value is not defined or item.value | length == 0
      with_items:
        - name: jitsi_fqdn
          value: "{{ jitsi_fqdn }}"
        - name: jitsi_home_server
          value: "{{ jitsi_home_server }}"
        - name: jitsi_meet_videobridge_password
          value: "{{ jitsi_meet_videobridge_password }}"
        - name: jitsi_meet_videobridge_secret
          value: "{{ jitsi_meet_videobridge_secret }}"
    - name: add jitsi master internal ip to /etc/hosts
      lineinfile:
        regexp: "^.*{{ jitsi_home_server }}"
        line: "{{ master_private_ip }} {{ jitsi_home_server }}"
        dest: "{{ item }}"
        state: present
      with_items:
        - /etc/hosts
        - /etc/cloud/templates/hosts.debian.tmpl
  roles:
    - {role: ansible-jitsi, become: true}
